#构建此镜像的基础镜像
FROM tomcat:9.0-jdk8
#指定作者名称
MAINTAINER lijie<lijie@persagy.com>
LABEL tier=backend
LABEL product=bdtp
LABEL project=persagy
LABEL name=scanbuilding

ENV TZ Asia/Shanghai
ENV JAVA_OPTS -Dfile.encoding=UTF-8
ENV JVM "-Xmx2048m -Xms1024m -XX:+UseParallelOldGC -Xloggc:/somewhere/somename.log -XX:+PrintGCDetails -XX:+PrintGCDateStamps -XX:+PrintTenuringDistribution"

RUN apt-get install -y --no-install-recommends tzdata \
    && rm -rf /var/lib/apt/lists/* \
    && ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime \
    && echo 'Asia/Shanghai' > /etc/timezone \
    && rm -rf ./webapps/*

COPY *.zip .

RUN rm -rf ./webapps/* && unzip *.zip -d ./webapps
RUN mv ./webapps/* ./webapps/ROOT && rm -rf *.zip

COPY entrypoint.sh .

ENTRYPOINT ["sh","./entrypoint.sh"]